.mf-top-invest-now-wrapper {
  display: flex;
  align-items: center;
  background: #303d4b;
  margin: 0 0 15px;
  padding: 20px 30px;
  border-radius: 4px;
}

.mf-top-invest-now-wrapper .mf-top-invest-now-wrapper__img--par {
  height: 65px;
  width: 65px;
  border-radius: 4px;
  background: #fff;
  flex-shrink: 0;
  overflow: hidden;
}

.mf-top-invest-now-wrapper .mf-top-invest-now-wrapper__img--par img {
  height: 100%;
  width: 100%;
}

.mf-top-invest-now-wrapper .mf-top-invest-now-wrapper__head {
  margin-left: 20px;
}

.mf-top-invest-now-wrapper .mf-top-invest__title {
  font-size: 18px;
  font-weight: 700;
  line-height: 19px;
  color: #fff;
}

.mf-top-invest-now-wrapper .mf-top-invest-equality-large {
  display: flex;
  margin: 0 -10px;
}

.mf-top-invest-now-wrapper .mf-top-invest-equality-large p {
  font-size: 14px;
  font-weight: 300;
  line-height: 17px;
  color: #fff;
  margin-top: 8px;
  padding: 0 10px;
  border-right: 1px solid rgba(138, 142, 151, 0.24);
  text-transform: capitalize;
}

.mf-top-invest-now-wrapper .mf-top-invest-equality-large p:last-child {
  border-right: 0;
}

.mf-top-invest-now-wrapper .mf-top-invest-rating-sec {
  display: flex;
  align-items: center;
}

.rating-main {
  margin: 7px 7px 0 0;
}

.mf-top-invest-now-wrapper .value-search-txt,
.mf-top-invest-now-wrapper .category-rank-txt {
  font-size: 14px;
  font-weight: 500;
  line-height: 17px;
  color: #fff;
  margin-top: 5px;
}

.mf-top-invest-now-wrapper .value-search-txt span {
  font-weight: 300;
  margin-left: 5px;
}

.mf-top-invest-now-wrapper .category-rank-txt {
  margin-left: 10px;
}

.mf-top-invest-now-wrapper .category-rank-txt span {
  font-weight: 300;
  margin-left: 5px;
}

.mf-top-invest-now-wrapper .mf-top-icon-right {
  margin-left: auto;
  display: flex;
}

.mf-top-invest-now-wrapper .invest-now-btn a {
  padding: 8px 36px;
  font-size: 14px;
  font-weight: 700;
  line-height: 17px;
  text-align: center;
  text-transform: uppercase;
  background-color: #0bbc8a;
  color: #fff;
  border-radius: 2px;
  display: flex;
  white-space: nowrap;
}

.mf-top-invest-now-wrapper .right-icon-row {
  display: flex;
  align-items: center;
  margin-right: 30px;
}

.mf-top-invest-now-wrapper .right-icon-row a {
  display: flex;
}

.mf-top-invest-now-wrapper .right-icon-row:last-child {
  margin-right: 0;
}

.mf-top-invest-now-wrapper .right-icon-row__text {
  font-size: 14px;
  font-weight: 400;
  line-height: 17px;
  color: #fff;
  margin-left: 10px;
}

.mf-top-mob-icon-right-wrapper {
  display: none;
}


.mf-top-invest-rating-sec .cmpc-cd-ratings .bs-rating {
  display: flex;
  justify-content: flex-start;
}

.mf-top-invest-rating-sec .bs-rating.rating-1 .star:nth-child(-n+1) .icon {
  color: #ebc000;
}

.mf-top-invest-rating-sec .bs-rating.rating-1 .star:nth-child(-n+1) .icon:before {
  content: "\e92d";
}

.mf-top-invest-rating-sec .bs-rating.rating-2 .star:nth-child(-n+2) .icon {
  color: #ebc000;
}

.mf-top-invest-rating-sec .bs-rating.rating-2 .star:nth-child(-n+2) .icon:before {
  content: "\e92d";
}

.mf-top-invest-rating-sec .bs-rating.rating-3 .star:nth-child(-n+3) .icon {
  color: #ebc000;
}

.mf-top-invest-rating-sec .bs-rating.rating-3 .star:nth-child(-n+3) .icon:before {
  content: "\e92d";
}

.mf-top-invest-rating-sec .bs-rating.rating-4 .star:nth-child(-n+4) .icon {
  color: #ebc000;
}

.mf-top-invest-rating-sec .bs-rating.rating-4 .star:nth-child(-n+4) .icon:before {
  content: "\e92d";
}

.mf-top-invest-rating-sec .bs-rating.rating-5 .star:nth-child(-n+5) .icon {
  color: #ebc000;
}

.mf-top-invest-rating-sec .bs-rating.rating-5 .star:nth-child(-n+5) .icon:before {
  content: "\e92d";
}

.compare-checkbox {
  position: absolute;
  opacity: 0;
}

.compare-checkbox+label {
  position: relative;
  cursor: pointer;
  padding: 0;
}

.compare-checkbox+label:before {
  content: "";
  margin-right: 10px;
  display: inline-block;
  vertical-align: text-top;
  width: 16px;
  height: 16px;
  border-radius: 4px;
  border: 1px solid #0bbc8a;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  -o-border-radius: 4px;
}

.compare-checkbox:checked+label:before {
  background: #0bbc8a;
}

.compare-checkbox:disabled+label {
  color: #b8b8b8;
  cursor: auto;
}

.compare-checkbox:disabled+label:before {
  box-shadow: none;
}

.compare-checkbox:checked+label:after {
  content: "";
  position: absolute;
  left: 3px;
  top: 7px;
  background: #fff;
  width: 2px;
  height: 2px;
  box-shadow: 2px 0 0 #fff, 4px 0 0 #fff, 4px -2px 0 #fff, 4px -4px 0 #fff, 4px -6px 0 #fff, 4px -8px 0 #fff;
  transform: rotate(45deg);
}

@media screen and (max-width: 767px) {
  .mf-top-invest-now-wrapper {
    background: #272d3a;
    padding: 0;
    align-items: initial;
  }

  .mf-top-invest-now-wrapper .mf-top-invest-now-wrapper__img--par {
    height: 48px;
    width: 48px;
  }

  .mf-top-invest-now-wrapper .mf-top-invest-now-wrapper__head {
    margin-left: 18px;
    flex-basis: 80%;
  }

  .mf-top-invest-now-wrapper .mf-top-invest__title {
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
  }

  .mf-top-invest-now-wrapper .mf-top-invest-equality-large {
    display: flex;
    margin: 0 -10px;
  }

  .mf-top-invest-now-wrapper .mf-top-invest-equality-large p {
    font-size: 10px;
    line-height: 12px;
    margin-top: 5px;
    text-transform: capitalize;
  }

  .mf-top-invest-now-wrapper .mf-top-invest-rating-sec {
    display: flex;
  }

  .mf-top-invest-now-wrapper .value-search-txt,
  .mf-top-invest-now-wrapper .category-rank-txt {
    font-size: 10px;
    line-height: 12px;
    margin-top: 5px;
  }

  .mf-top-invest-now-wrapper .category-rank-txt {
    margin-left: 10px;
  }

  .mf-top-invest-now-wrapper .category-rank-txt span {
    font-weight: 300;
    margin-left: 5px;
  }

  .mf-top-invest-now-wrapper .mf-top-icon-right {
    display: none;
  }

  .mf-top-invest-now-wrapper .right-icon-row__text {
    font-size: 10px;
    line-height: 12px;
  }

  .mf-top-mob-icon-right-wrapper {
    display: block;
  }

  .mf-top-mob-icon-right--main {
    display: flex;
  }

  .mob-right-icon-row {
    display: flex;
    align-items: center;
    margin-left: 25px;
  }

  .mob-right-icon-row:first-child {
    margin-left: 0;
  }

  .mob-right-icon-row__text {
    font-size: 10px;
    font-weight: 400;
    line-height: 12px;
    color: #fff;
    margin-left: 10px;
  }
}